package com.zd.laboratory.domain.vo;

import io.swagger.annotations.ApiModel;

import java.util.Date;

/**
 * @Author: zhoupan
 * @Date: 2021/10/16/18:01
 * @Description:
 */
@ApiModel("小程序发送消息VO")
public class LiteMessageNoticeVO {

    /**
     * 发送人ID
     */
    private Long  sendUserId;
    /**
     * 发送人姓名
     */
    private String sendName;

    /**
     * 部门名称
     */
    private String deptName = "";

    /**
     * 最新消息时间
     */
    private Date newMessageDate;

    /**
     * 最新消息
     */
    private String newMessage = "";

    /**
     * 实验室名称
     */
    private String subName;

    /**
     * 消息处理过的日期
     */
    private String newDateStr;


    /**
     * 申请类型，1是安全准入申请的消息，-1是其他类型的。
     */
    private Integer isApply;

    /**
     * 消息id
     */
    private Integer messageId;

    private Long messageUserId;

    private Long dynamicId;

    private String messageContext;

    /**
     * 消息标题名称
     */
    private String remark;

    public String getSendName() {
        return sendName;
    }

    public void setSendName(String sendName) {
        this.sendName = sendName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getNewMessageDate() {
        return newMessageDate;
    }

    public void setNewMessageDate(Date newMessageDate) {
        this.newMessageDate = newMessageDate;
    }

    public String getNewMessage() {
        return newMessage;
    }

    public void setNewMessage(String newMessage) {
        this.newMessage = newMessage;
    }

    public Long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(Long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getNewDateStr() {
        return newDateStr;
    }

    public void setNewDateStr(String newDateStr) {
        this.newDateStr = newDateStr;
    }

    public Integer getIsApply() {
        return isApply;
    }

    public void setIsApply(Integer isApply) {
        this.isApply = isApply;
    }

    public Integer getMessageId() {
        return messageId;
    }

    public void setMessageId(Integer messageId) {
        this.messageId = messageId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getDynamicId() {
        return dynamicId;
    }

    public void setDynamicId(Long dynamicId) {
        this.dynamicId = dynamicId;
    }

    public String getMessageContext() {
        return messageContext;
    }

    public void setMessageContext(String messageContext) {
        this.messageContext = messageContext;
    }

    public Long getMessageUserId() {
        return messageUserId;
    }

    public void setMessageUserId(Long messageUserId) {
        this.messageUserId = messageUserId;
    }
}
